services:
 mediawiki: # определение сервиса mediawiki
  image: mediawiki:1.35 # образ MediaWiki версии 1.35
  ports: # проброс порта
   - "8080:80"
  volumes: # настройки тома
   - ./mediawiki-images:/var/www/html/images

 wordpress: # определение сервиса wordpress
  image: wordpress:latest # образ wordpress последней версии 
  ports: # проброс порта
   - "8081:80"
  environment: # переменные окружения
   - WORDPRESS_DB_HOST=db_wp
   - WORDPRESS_DB_USER=admin
   - WORDPRESS_DB_PASSWORD=admin123
   - WORDPRESS_DB_NAME=wpdb
  volumes: # настройки тома
   - ./wordpress:/var/www/html
  depends_on: # зависимости
   - db_wp

 db_wp: # бд для wordpress
  image: mysql:5.7 # используем mysql версии 5.7
  environment: # переменные окружения
   - MYSQL_ROOT_PASSWORD=rootpassword
   - MYSQL_DATABASE=wpdb
   - MYSQL_USER=admin
   - MYSQL_PASSWORD=admin123
  volumes: # настройки тома
   - db_wp-data:/var/lib/mysql

 redmine: # определение сервиса redmine
  image: redmine:latest # образ redmine последней версии 
  ports: # проброс порта
   - "8082:3000"
  volumes: # настройки тома
   - ./redmine/files:/usr/src/redmine/files

# определение томов, используемых для хранения данных
volumes:
 mediawiki-data:
 db_wp-data:
 redmine-data: